Bug 1412229 - The "Satellite API v1 is deprecated" warning should be bigger text
Summary: The "Satellite API v1 is deprecated" warning should be bigger text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: Nightly
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:06 UTC by Stephen Wadeley
Modified: 2019-09-26 15:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
API deprecation warning (26.08 KB, image/png)
2017-08-02 07:30 UTC, Ondřej Pražák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18065 0 None None None 2017-01-13 10:48:05 UTC
Red Hat Bugzilla 1477482 0 unspecified CLOSED <br /> tag is shown in apidoc 2021-02-22 00:41:40 UTC

Internal Links: 1477482

Description Stephen Wadeley 2017-01-11 15:06:30 UTC
Description of problem:

The warning about  API v1 is deprecated is in a very small font and could be missed.


Version-Release number of selected component (if applicable):

Version Satellite 6.2.6


Steps to Reproduce:
1. visit apidoc/v1.html
2. and apidoc/v2.html


Actual results:

1.

Satellite API v1 is deprecated. Please use v2. If you still need to use v1, you may do so by either passing 'version=1' in the Accept Header or using api/v1/ in the URL.


2.

Satellite API v2 is currently the default API version.



Expected results:
Make the font larger. Try increasing the first part "Satellite API v1 is deprecated. Please use v2." much larger and then put the rest on the next line.

Comment 1 Tomas Strachota 2017-01-13 10:48:03 UTC
Created redmine issue http://projects.theforeman.org/issues/18065 from this bug

Comment 3 pm-sat@redhat.com 2017-03-23 14:13:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18065 has been resolved.

Comment 6 Ondřej Pražák 2017-08-02 07:30:27 UTC
Created attachment 1307986 [details]
API deprecation warning

The warning is now bold, but there is a <br /> tag that should not be displayed.
Because a bug can be failed only for the reason for which it was originally written and not for other similar reasons, I will set this as verified and raise a new issue.

Sat-6.3 snap 8.0

Comment 7 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.